Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | List of all members
LatBuilder::MeritSeq::LatSeqOverCBC< CBC >::Seq< LATSEQ > Class Template Reference

Output sequence of merit values. More...

`#include <LatSeqOverCBC.h>`

Inherits LatBuilder::BridgeSeq< Seq< LATSEQ >, LATSEQ, CBC::value_type, BridgeIteratorCached >.

## Public Types
typedef self_type::Base | Base
typedef self_type::value_type | value_type
typedef self_type::size_type | size_type
Public Types inherited from LatBuilder::BridgeSeq< Seq< LATSEQ >, LATSEQ, CBC::value_type, BridgeIteratorCached >
typedef BridgeSeq< Seq< LATSEQ > , LATSEQ, CBC::value_type, BridgeIteratorCached > | BridgeSeq_
typedef LATSEQ | Base
typedef CBC::value_type | value_type
typedef Base::size_type | size_type
typedef BridgeIteratorCached < Seq< LATSEQ > > | const_iterator

## Public Member Functions
| Seq (CBC &cbc, Base base)
| Constructor. More...
value_type | element (const typename Base::const_iterator &it) const
| Computes and returns the value of the figure of merit for the generator value pointed to by `it`.
Public Member Functions inherited from LatBuilder::BridgeSeq< Seq< LATSEQ >, LATSEQ, CBC::value_type, BridgeIteratorCached >
| BridgeSeq (Base base=Base())
| Constructor. More...
Base & | base ()
| Returns the base sequence.
const Base & | base () const
void | setBase (Base b)
| Changes the base sequence to `b`.
const_iterator | begin () const
| Returns an iterator pointing to the first element in the sequence.
const_iterator | end () const
| Returns an iterator pointing past the last element in the sequence.

## Detailed Description

### template<class CBC>
template<class LATSEQ>
class LatBuilder::MeritSeq::LatSeqOverCBC< CBC >::Seq< LATSEQ >

Output sequence of merit values.

Template Parameters

  LATSEQ | Type of sequence of lattice definitions.

## Constructor & Destructor Documentation

template<class CBC >
template<class LATSEQ>

LatBuilder::MeritSeq::LatSeqOverCBC< CBC >::Seq< LATSEQ >::Seq | ( | CBC & | cbc,
|  | Base | base
| ) |  |
| inline

Constructor.

Parameters

  cbc | Instance of the CBC algorithm.
  base | Base lattice sequence.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/MeritSeq/LatSeqOverCBC.h